<div class="container">
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-6 d-none d-lg-block">
          <div class="div_1"></div>
        </div>
        <div class="col-12 col-md-6 col-lg-6 div_2">
          <div class="logo">
            <img src="assets/images/logo.svg"/>
          </div>
          <div class="personal-detail" *ngIf="personalDetailSection">
            <div class="heading">Enter your details to sign up</div>
            <form [formGroup]="personalDetailForm">
              <div class="row">
                <div class="col-12">
                  <input
                    type="text"
                    placeholder="Full name"
                    formControlName="fullName"
                    class="input"
                    required
                  />
                  <span
                    *ngIf="
                      personalDetailForm.touched &&
                      personalDetailForm.get('fullName').errors?.required
                    "
                    class="text-danger"
                  >
                    Please enter your full name
                  </span>
                </div>
                <div class="col-12 position-relative">
                  <input
                    type="email"
                    placeholder="Email Address"
                    formControlName="email"
                    class="input"
                    required
                  />
                  <span
                    *ngIf="
                      personalDetailForm.touched &&
                      personalDetailForm.get('email').errors
                    "
                    class="text-danger"
                  >
                    Please enter a valid email id
                  </span>
                  <span *ngIf="sign_up_msg != ''" class="text-danger">
                    {{ sign_up_msg }}
                  </span>
                </div>
                <div class="col-12 position-relative phonenumber">
                  <div class="input-group mb-3 mt-0">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="basic-addon1"
                        >+91</span
                      >
                    </div>
                    <input
                      type="number"
                      class="form-control input"
                      formControlName="phoneNumber"
                      required
                      aria-describedby="basic-addon1"
                    />
                    <span
                      *ngIf="
                        personalDetailForm.touched &&
                        personalDetailForm.get('phoneNumber').errors
                      "
                      class="text-danger"
                    >
                      Please enter a valid mobile number
                    </span>
                  </div>
                </div>
                <div class="col-12 mt-3">
                  <div ngbDropdown class="user-info-dropdown">
                    <button class="btn btn-outline-primary" id="dropdownConfig" ngbDropdownToggle><span>{{selectPartner}}</span></button>
                    <div ngbDropdownMenu aria-labelledby="dropdownConfig">
                      <button *ngFor="let partnerdata of partners" type="button" ngbDropdownItem>
                          <div class="row mb-0 btn-data align-items-center">
                              <!-- <div class="col-auto"></div> -->
                              <!-- <div class="col text">{{account.tag}}</div> -->
                              <div class="col text mb-3" (click)="partnerval(partnerdata)" >{{partnerdata.partner_name}}</div>
<!-- 
                              <div class="col-auto">
                                  <div class="value">${{account.account_balance}}</div>
                                  <div class="value">${{account.account_balance}}</div>

                          </div> -->
                          </div>
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-12 mt-4">
                  <div class="mobile-btn-common card">
                    <button class="btn" (click)="signUp()">
                      submit
                    </button>
                  </div>
                </div>
                <div class="col-12 mt-3">
                  <div class="login-link">
                    Already registered? <a routerLink="/login">Login</a>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- <div class="terms-condition">
    By continuing, you agree to the <a>terms & conditions</a> and
    <a>privacy policy</a> of Dollarbull.
  </div> -->
</div>
